# Obtain the download link for master-slave Redis backup - DescribeURedisBackupURL

## Overview

Obtain the download link for master-slave Redis backup






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeURedisBackupURL`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **BackupId** | string | Backup ID |**Yes**|
| **RegionFlag** | boolean | Is it a cross-IDC URedis (default is false) |No|
| **GroupId** | string | Instance ID |No|
| **SlaveZone** | string | Cross-IDC URedis, the availability zone where the slave is located (must be in the same Region as the Zone, and cannot be the same) |No|
| **IsCrossRegion** | boolean | Default is false, true indicates querying cross-region backup URL |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **BackupURL** | string | [Going offline, please use BackupPath]Public network address of the backup file |No|
| **BackupPath** | string | Public network address of the backup file |No|




## Example

### Request Example
    
```
https://api.dezai.com/?Action=DescribeURedisBackupURL
&Region=cn-bj2
&Zone=cn-bj2-04
&BackupId=00XXX68c-c7f5-XX52-9eac-dXXXXXXX8f0e1
&GroupId=mfweUQnQ
&SlaveZone=VlwscEJR
&IsCrossRegion=false
```

### Response Example
    
```json
{
  "Action": "DescribeURedisBackupURLResponse",
  "BackupPath": "KgVuXeBu",
  "BackupURL": "http://umembXXXXXup-9001.cn-bj.ilXXXXeos.com/uredis-XXXXbz/sgbf_xxxxxx-a75b24a9-d9e1-4d38-9dc1-aecad464XXX45?UCloudPublicKey=ucloudXXX@ucloud.cn142615241XXXX604875621\u0026Expires=1529927068\u0026Signature=sbH+QOWbtxXXXX6z5o6HBxrOcU=\n",
  "InnerBackupPath": "zeAzhTZt",
  "RetCode": 0
}
```





